var mongoose = require('mongoose'),
    Schema   = mongoose.Schema;

var EmailSchema = new Schema({
  raw:  { type: String, required: true },
  text: { type: String },
  html: { type: String },
  to: [{
    name:    { type: String },
    address: { type: String }
  }],
  from: {
    name:    { type: String },
    address: { type: String }
  },
  subject: { type: String, trim: true }
});

module.exports = mongoose.model('Email', EmailSchema);
