var test = require('./support/http');

describe('/emails', function () {
  it('should respond to HEAD', function (done) {
    test('head', '/emails').expect(200, done);
  });

  it('should respond to POST', function (done) {
    require('fs').readdirSync(__dirname + '/fixtures/mandrill-emails').forEach(function (payload) {
      test('post', '/emails')
        .send(require('./fixtures/mandrill-emails/' + payload))
        .expect(201, done);
    });
  });

  it('should ignore the event when no data is sent', function (done) {
    test('post', '/emails').expect(400, done);
  });
});
