var app  = module.exports = require('express')(),
    User = require('../../models/user');

app.get('/:id', function (req, res) {
  var id = req.params.id;

  User.findById(id, function (err, user) {
    if (err) { return res.send(400, err); }
    return res.send(200, user);
  });
});

app.post('/', function (req, res) {
  var user = new User(req.body);

  user.save(function (err, user) {
    if (err) { return res.send(400, err); }
    return res.send(201, user);
  });
});

app.del('/:id', function (req, res) {
  var id = req.params.id;

  User.findByIdAndRemove(id, function (err) {
    if (err) { return res.send(400, err); }
    return res.send(204);
  });
});

app.put('/:id', function (req, res) {
  var id   = req.params.id,
      user = {};

  // TODO: MAKE THIS NICER
  if (req.body.email) {
    user.email = req.body.email;
  }
  if (req.body.password) {
    password = req.body.password;
  }

  var updateUser = function (user) {
    return User.findByIdAndUpdate(id, user).select('email')
      .exec(function (err, user) {
        if (err) { return res.send(400, err); }
        return res.send(200, user);
      });
  };

  if (!user.password) {
    return updateUser(user);
  }

  User.encryptPassword(user.password, function (err, hash) {
    user.password = hash;
    updateUser(user);
  });
});
