// Simple test helper for testing the application with `supertest`
var request = require('supertest'),
    app     = require('../../');

module.exports = function (method, route) {
  method = method.toLowerCase() || 'get';
  method === 'delete' && (method = 'del');
  // Dynamically switch method routes
  var req = request(app)[method](route);
  req.set('Accept', 'application/json');
  // Ignore the content type for deletions
  method !== 'del' && req.expect('Content-Type', /json/);

  return req;
};
